package com.fastbee.data.controller.printer;

import com.fastbee.common.core.domain.AjaxResultPro;
import com.fastbee.data.controller.printer.yilianyun.YiLianYunPrintService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/printer")
public class PrinterController {
    @Autowired
    private YiLianYunPrintService printerService;

    /**
     * 文本内容打印
     */
    @PostMapping("/text/do")
    public AjaxResultPro textPrint(@RequestBody String content){
        printerService.textPrint(content);
       return AjaxResultPro.success();
    }
    /**
     * 图片打印
     */
    @PostMapping("/image/do")
    public AjaxResultPro imagePrint(@RequestBody String imageUrl){
        printerService.imagePrint(imageUrl);
       return AjaxResultPro.success();
    }
}
